| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::Pnt3DGrammar< Iterator, PointT, Skipper > Struct Template Reference

`#include <GaudiKernel/GrammarsV2.h>`

Inheritance diagram for Gaudi::Parsers::Pnt3DGrammar< Iterator, PointT, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::Pnt3DGrammar< Iterator, PointT, Skipper >:
[legend]

## Classes
struct | Operations

## Public Types
typedef PointT | ResultT
typedef PointT::Scalar | Scalar

## Public Member Functions
| Pnt3DGrammar ()

## Public Attributes
qi::rule< Iterator, ResultT(), Skipper > | point
qi::rule< Iterator, ResultT(), Skipper > | list
Grammar_< Iterator, Scalar, Skipper >::Grammar | scalar
ph::function< Operations > | op

## Detailed Description

### template<typename Iterator, typename PointT, typename Skipper>
struct Gaudi::Parsers::Pnt3DGrammar< Iterator, PointT, Skipper >

Definition at line 427 of file GrammarsV2.h.

## Member Typedef Documentation

template<typename Iterator , typename PointT , typename Skipper >

typedef PointT Gaudi::Parsers::Pnt3DGrammar< Iterator, PointT, Skipper >::ResultT

Definition at line 428 of file GrammarsV2.h.

template<typename Iterator , typename PointT , typename Skipper >

typedef PointT::Scalar Gaudi::Parsers::Pnt3DGrammar< Iterator, PointT, Skipper >::Scalar

Definition at line 429 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator , typename PointT , typename Skipper >

Gaudi::Parsers::Pnt3DGrammar< Iterator, PointT, Skipper >::Pnt3DGrammar | ( |  | ) |
| inline

Definition at line 455 of file GrammarsV2.h.

455 : Pnt3DGrammar::base_type( point )
456 {
457 point = list | ( '(' >> list >> ')' ) | ( '[' >> list >> ']' );
458 list = -( enc::no_case[qi::lit( "x" ) | qi::lit( "px" )] >> ':' ) >> scalar[op( qi::_val, qi::_1, 'x' )] >>
459 ',' >> -( enc::no_case[qi::lit( "y" ) | qi::lit( "py" )] >> ':' ) >>
460 scalar[op( qi::_val, qi::_1, 'y' )] >> ',' >>
461 -( enc::no_case[qi::lit( "z" ) | qi::lit( "pz" )] >> ':' ) >> scalar[op( qi::_val, qi::_1, 'z' )];
462 }
Gaudi::Parsers::Pnt3DGrammar::point
qi::rule< Iterator, ResultT(), Skipper > point
Definition: GrammarsV2.h:464
Gaudi::Parsers::Pnt3DGrammar::op
ph::function< Operations > op
Definition: GrammarsV2.h:466
Gaudi::Parsers::Pnt3DGrammar::list
qi::rule< Iterator, ResultT(), Skipper > list
Definition: GrammarsV2.h:464
Gaudi::Parsers::Pnt3DGrammar::scalar
Grammar_< Iterator, Scalar, Skipper >::Grammar scalar
Definition: GrammarsV2.h:465

## Member Data Documentation

template<typename Iterator , typename PointT , typename Skipper >

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::Pnt3DGrammar< Iterator, PointT, Skipper >::list

Definition at line 464 of file GrammarsV2.h.

template<typename Iterator , typename PointT , typename Skipper >

ph::function<Operations> Gaudi::Parsers::Pnt3DGrammar< Iterator, PointT, Skipper >::op

Definition at line 466 of file GrammarsV2.h.

template<typename Iterator , typename PointT , typename Skipper >

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::Pnt3DGrammar< Iterator, PointT, Skipper >::point

Definition at line 464 of file GrammarsV2.h.

template<typename Iterator , typename PointT , typename Skipper >

Grammar_<Iterator, Scalar, Skipper>::Grammar Gaudi::Parsers::Pnt3DGrammar< Iterator, PointT, Skipper >::scalar

Definition at line 465 of file GrammarsV2.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h